## org.mortbay.jetty.client.security
Class DigestAuthorization

    java.lang.Object
      org.mortbay.jetty.client.security.DigestAuthorization

All Implemented Interfaces:
  Authorization

    public class DigestAuthorization

extends Object
implements Authorization

Constructor Summary
`DigestAuthorization(Realm realm, Map details)`

Method Summary
`protected String` `newCnonce(HttpExchange exchange, Realm securityRealm, Map details)`
`protected String` `newResponse(String cnonce, HttpExchange exchange, Realm securityRealm, Map details)`
`void` `setCredentials(HttpExchange exchange)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DigestAuthorization

    public DigestAuthorization(Realm realm,
                               Map details)

Method Detail

### setCredentials

    public void setCredentials(HttpExchange exchange)
                        throws IOException

  Specified by:
    `setCredentials` in interface `Authorization`
  Throws:
    `IOException`

### newResponse

    protected String newResponse(String cnonce,
                                 HttpExchange exchange,
                                 Realm securityRealm,
                                 Map details)

### newCnonce

    protected String newCnonce(HttpExchange exchange,
                               Realm securityRealm,
                               Map details)

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.